package io.nexilis.service.data.daos

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import io.nexilis.service.data.entities.*

@Dao
interface DiscussionForumDao {

    @Query("select * from DiscussionForum")
    fun getAll(): LiveData<List<DiscussionForum>>

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(entity: DiscussionForum)

    @Query("delete from DiscussionForum")
    suspend fun deleteAll()

}